|  | Home · All Classes · Modules

# QActionEvent Class Reference
[QtGui module]

The QActionEvent class provides an event that is generated when a QAction is added, removed, or changed. More...

Inherits QEvent.

### Methods

- __init__ (self, int, QAction, QAction before = None)
- __init__ (self, QActionEvent)
- QAction action (self)
- QAction before (self)

## Detailed Description

The QActionEvent class provides an event that is generated when a QAction is added, removed, or changed.

Actions can be added to widgets using QWidget.addAction(). This generates an ActionAdded event, which you can handle to provide custom behavior. For example, QToolBar reimplements QWidget.actionEvent() to create QToolButtons for the actions.

## Method Documentation

### QActionEvent.__init__ (self, int, QAction, QAction before = None)

Constructs an action event. The type can be ActionChanged, ActionAdded, or ActionRemoved.

action is the action that is changed, added, or removed. If type is ActionAdded, the action is to be inserted before the action before. If before is 0, the action is appended.

### QActionEvent.__init__ (self, QActionEvent)

### QAction QActionEvent.action (self)

Returns the action that is changed, added, or removed.

See also before().

### QAction QActionEvent.before (self)

If type() is ActionAdded, returns the action that should appear before action(). If this function returns 0, the action should be appended to already existing actions on the same widget.

See also action() and QWidget.actions().